boost::locale::utf Namespace Reference

Namespace that holds basic operations on UTF encoded sequences. More...

## Classes

struct | utf_traits
| UTF Traits class - functions to convert UTF sequences to and from Unicode code points. More...

## Typedefs

using | code_point = uint32_t
| The integral type that can hold a Unicode code point.
using | len_or_error = code_point
| Either a length/size or an error (illegal/incomplete)

## Functions

bool | is_valid_codepoint (code_point v)
| the function checks if v is a valid code point

## Variables

constexpr code_point | illegal = 0xFFFFFFFFu
| Special constant that defines illegal code point.
constexpr code_point | incomplete = 0xFFFFFFFEu
| Special constant that defines incomplete code point.

## Detailed Description

Namespace that holds basic operations on UTF encoded sequences.

All functions defined in this namespace do not require linking with Boost.Locale library

- © Copyright 2009-2012 Artyom Beilis, Distributed under the Boost Software License, Version 1.0.